.calc {
    background-color: white;
    background-size: cover;
    background-position: center;
    margin-bottom: 70px;
}
.calc .title {
    margin-bottom: 42px;
}

.calc .calc-wrapper {
    display: flex;
    align-items: start;
    align-content: center;
    justify-content: space-between;
}

.calc .group {
    width: 493px;
}

.calc .main-group {
    display: flex;
    padding: 55px 0 0 0;
    align-items: center;
    align-content: center;
    justify-content: space-between;
}

.calc .additional-group {
    padding: 10px 20px 0 20px;
    border: 1px solid #EBEBEB;
}

.calc .calc-section {
    display: flex;
    flex-direction: column;
    align-items: start;
    align-content: start;
    margin-bottom: 35px;
}

.calc .main-group .calc-section {
margin-right: 60px;
}

.calc .title__inline{
    font-size: 18px;
    margin-bottom: 10px;
}

.calc .checkbox-wrapper{
    position: relative;
    font-size: 20px;
    color: #434343;
}

.calc select{
    -moz-appearance: none;
    -webkit-appearance: none;
    position: relative;
    outline: none;

    padding-left: 11px;
    appearance: none;
    width: 300px;
    height: 40px;
    background-color: #fff;
    border: 1px solid #5197A3;
    border-radius : 0.15rem ;
    color: #434343;
    cursor: pointer;
}

.checkbox-wrapper::before,
.checkbox-wrapper::after {
    --size: 0.4rem;
    position: absolute;
    content: "";
    right: 1rem;
    --dropdown-border-radius: 0.25rem;
    pointer-events: none;
}

.checkbox-wrapper::before {
    border-left: var(--size) solid transparent;
    border-right: var(--size) solid transparent;
    border-bottom: var(--size) solid #5197A3;
    top: 40%;
}

.checkbox-wrapper::after {
    border-left: var(--size) solid transparent;
    border-right: var(--size) solid transparent;
    border-top: var(--size) solid #5197A3;
    top: 45%;
}

.calc .hint {
    text-align: left;
    margin-bottom: 20px;
}

.calc .hint .p {
    font-size: 16px;
    color: #747474;
}

.calc .additional-group .additional-group__price {
    margin-left: 28px;
    font-size: 20px;
    color: #73969C;
}

.calc .layout{
    display: flex;
    align-items: start;
    align-content: start;
    flex-direction: column;
}

.calc .input__wrapper {
    display: flex;
    align-items: start;
    align-content: center;
    justify-content: space-between;
    margin-bottom: 25px;
}

.calc .input__file {
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.calc .input__file-icon-wrapper {
    height: 40px;
    width: 40px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-right: 1px solid #fff;
}

.calc .input__file-button-text {
    line-height: 1;
    margin: 1px 10px 0 10px;
}

.calc .input__file-button {
    width: 100%;
    max-width: 230px;
    height: 40px;
    background: #1bbc9b;
    color: #fff;
    font-size: 18px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    border-radius: 3px;
    cursor: pointer;
    margin: 0 auto;
}

.calc .input__wrapper .layout_links {
    width: 350px;
    text-align: left;
    margin-left: 26px;
}

.calc .input__wrapper .layout_links a{
    font-size: 16px;
    color: #43576F;
    text-decoration: underline;
    text-decoration-color: #43576E;
    text-decoration-thickness: 1px;
    text-underline-offset: 5px;
}

.calc .input__wrapper .layout_links .non-image-link{
    padding-left: 32px;
}

.calc .input__wrapper .layout_example {
    margin-bottom: 10px;
    vertical-align: bottom;
    display: flex;
    align-items: center
}

.calc .input__wrapper .layout_example img {
    margin-right: 7px;
}

.calc .calc-price {
    margin-left: auto;
    vertical-align: bottom;
    align-items: center;
    display: flex;
    margin-top: 22px;
}

.calc .calc-price .calc-price-title {
    font-size: 20px;
    display: inline-block;
    margin-right: 10px;
}

.calc .calc-price .calc-price-value {
    font-size: 24px;
    font-weight: 590;
    display: inline-block;
}

.calc .order-zone .calc-price{
    display: flex;
    justify-content: flex-end;
    justify-content: end;
}

.calc .order-zone .calc-order{
    margin-top: 10px;
    display: flex;
    justify-content: flex-end;
    justify-content: end;
}

.calc .order-zone .calc-order-button{
    font-size: 24px;
    font-weight: 590;
    display: inline-block;
    border: 0;
    height: 50px;
    padding: 0 20px;
    text-align: center;
    color: #ffffff;
    border-radius: 2px;
    background-color: #6BBC9F;
}

.calc-order-button:active {
    background-color: #62AF94 !important;
}

.pop_up{
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    background-color: transparent;
    z-index: 200;
    transform: translateY(-44.5%) scale(0);
    transition: .4s ease-in-out;
}

.open{
    transform: translateY(0%) scale(100%);
    background-color: rgba(112, 147, 154, .3);
}

.pop_up .pop_up_container {
    display: flex;
    width: 100%;
    height: 100%;
}

.pop_up .pop_up_body{
    margin: auto;
    width: 500px;
    background-color: white;
    border-radius: 4px;
    text-align: center;
    padding: 100px 15px 110px 15px;
    position: relative;
}

.pop_up .pop_up_body p{
    font-size: 24px;
    letter-spacing: .15rem;
    font-weight: 590;
    color: #434343;
    margin-bottom: 40px;
}

.pop_up .pop_up_body input{
    display: block;
    margin: 25px auto 0 auto;
    width: 330px;
    padding: 17px 20px;
    background-color: #E5E5E5;
    border-radius: 4px;
    border: none;
    font-weight: 500;
    font-size: 18px;
    color: #89909F;
}

.pop_up .pop_up_body input:focus{
    outline: none;
}

.pop_up_body button {
    cursor: pointer;
    display: block;
    width: 330px;
    margin: 60px auto 0 auto;
    padding: 20px 0;
    font-weight: 500;
    font-size: 24px;
    border-radius: 4px;
    border: none;
    color: #ffffff;
    background-color: #6BBC9F;
}

.pop_up_body .pop_up_close{
    position: absolute;
    height: 25px;
    width: 25px;
    text-align: center;
    top: 15px;
    right: 15px;
    font-size: 21px;
    cursor: pointer;
}

.pop_up_form input :focus{
    background-color: #DBF2DB !important;
}

.pop_up_form ._error{
    background-color: #FFCFCF !important;
}

.pop_up_form::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(112, 147, 154, .3) url("../img/loading.gif") center / 100px no-repeat;
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s ease 0s;
}

._sending::after{
    opacity: 1;
    visibility: visible;
}

@media (max-width: 1240px) {
    .calc .calc-wrapper {
        display: inline-block;
        width: 100%;
    }

    .calc .main-group {
        display: flex;
        padding: 0 0 0 0;
    }
    
    .calc .calc-wrapper .main-group {
        width: 100%;
    }
    
    .calc .layout{
        margin-top: 25px;
    }
}

@media (max-width: 750px) {
    .calc .main-group {
        flex-wrap: wrap;
    }
    
    .calc .layout{
        margin-top: 25px;
    }
}

@media (max-width: 570px) {
    .calc .input__wrapper{
        flex-wrap: wrap;
        justify-content: start;
    }

    .calc .input__wrapper .layout_links {
        margin-left: 0;
    }

    .calc .input__file-button{
        margin: 0 0 20px 0;
    }

    .calc .title__inline{
        margin-bottom: 20px;
    }
}

@media (max-width: 530px) {
    .calc .group{
        width: 100%;
    }
    
    /*.calc .additional-group__element .span{*/
    /*    flex: 0 0 auto;*/
    /*    width: 100%;*/
    /*}*/
}

@media (max-width: 500px) {

    .calc .additional-group__element{
        display: flex;
        flex-direction: column;
        justify-content: start;
    }

    .calc .additional-group .additional-group__price{
        margin: 15px 0 0 0;
        text-align: start;
    }
}

@media (max-width: 380px) {
    .calc .select{
        width: 250px;
    }

    .calc .input__wrapper .layout_links {
        width: 300px;
    }
}

